### Method

# Adw SpringAnimationset_clamp

#### Declaration [src]

    void
    adw_spring_animation_set_clamp (
      AdwSpringAnimation* self,
      gboolean clamp
    )

#### Description [src]

Sets whether `self` should be clamped.

If set to `TRUE`, the animation will abruptly end as soon as it reaches the final value, preventing overshooting.

It won’t prevent overshooting `AdwSpringAnimation:value-from` if a relative negative `AdwSpringAnimation:initial-velocity` is set.

Sets property | `Adw.SpringAnimation:clamp`

#### Parameters

`clamp`

  Type: `gboolean`

  The new value.